Subject: Re: bug#23537: timeout test gets false-positive for duration of -1.189731495357231765e+4932
From: Jim Meyering <[email-masked]>
To: Pádraig Brady <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 May 2016 08:51:58 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 23537 notabug
stop

On Sun, May 15, 2016 at 8:06 AM, Jim Meyering <[email-masked]> wrote:
> On Sun, May 15, 2016 at 4:21 AM, Pádraig Brady <[email-masked]> wrote:
>> Has up to date centos6 the bug?
>> I didn't see it with glibc-2.12-1.166.el6_7.7.x86_64
>
> Yes. I am surprised that you don't see it and I do:
>
>   $ rpm -q glibc
>   glibc-2.12-1.166.el6_7.7.x86_64
>   $ src/timeout 0.1 sleep 1.189731495357231765e+4932; echo $?
>   0

Pádraig guessed (correctly) that I'd updated coreutils' gnulib to
include a temporarily buggy xstrdod
(811b09243ca01827469827bf0973728a8619d249), but not yet past the fix
from a day or so later.
So this was all a false alert.